Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025087
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-11-05 17:532013-11-19 19:07
ReporternaiaramartinezView Statuspublic 
Assigned Toshankarb 
PriorityimmediateResolutionfixedFixed in Version3.0MP30
StatusclosedFix in branchFixed in SCM revision59f722a904c3
ProjectionnoneETAnoneTarget Version3.0MP30
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025087: Masked String is not working when a range is used in the mask

DescriptionWhen creating a field that has a masked string reference, if the mask contains a range, the field will never be validated, even if its content respects the mask definition
Steps To ReproduceGo to references window and create new record:
    name: alphanumeric
    parent reference: Masked String
Go to Masked reference tab:
    input mask: [0-9a-zA-Z]

Go to Tables and Column and asign this reference to one column of the columns.
Compile.

Go to the window taht contains the column where you have added the masked string reference. Try to add a character. Notice that only alphanumeric caracter can be introduced. Change the focus to other field that notice that error is raised:
 'One or more fields contain illegal values'
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062077)
hgbot (developer)
2013-11-12 05:50

Repository: erp/devel/pi
Changeset: 59f722a904c3c0722e523384351817e7a59d571a
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu Nov 07 15:59:38 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/59f722a904c3c0722e523384351817e7a59d571a [^]

Fixes Issue 0025087: Masked String is not working with ranges

When the regex mask contains ranges, manual generation of regex expression is avoided.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-text.js
---
(0062162)
AugustoMauch (developer)
2013-11-18 11:30

Code reviewed and verified in pi@db204076ebbc
(0062252)
hudsonbot (developer)
2013-11-19 19:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ab71e0273dc1 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-05 17:53 naiaramartinez New Issue
2013-11-05 17:53 naiaramartinez Assigned To => AugustoMauch
2013-11-05 17:53 naiaramartinez Modules => Core
2013-11-05 17:53 naiaramartinez Triggers an Emergency Pack => No
2013-11-05 17:56 AugustoMauch Summary Masked String is not working => Masked String is not working when a range is used in the mask
2013-11-05 17:56 AugustoMauch Description Updated View Revisions
2013-11-06 16:50 jonalegriaesarte Priority normal => immediate
2013-11-06 16:50 jonalegriaesarte Target Version => 3.0MP30
2013-11-06 17:32 AugustoMauch Assigned To AugustoMauch => shankarb
2013-11-12 05:49 shankarb Review Assigned To => AugustoMauch
2013-11-12 05:49 shankarb Issue Monitored: AugustoMauch
2013-11-12 05:50 hgbot Checkin
2013-11-12 05:50 hgbot Note Added: 0062077
2013-11-12 05:50 hgbot Status new => resolved
2013-11-12 05:50 hgbot Resolution open => fixed
2013-11-12 05:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/59f722a904c3c0722e523384351817e7a59d571a [^]
2013-11-18 11:30 AugustoMauch Note Added: 0062162
2013-11-18 11:31 AugustoMauch Status resolved => closed
2013-11-18 11:31 AugustoMauch Fixed in Version => 3.0MP30
2013-11-19 19:07 hudsonbot Checkin
2013-11-19 19:07 hudsonbot Note Added: 0062252


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker